2002-11-16  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version.
	* src/disp-vcd/config_parser.y: Reformat code.
	* src/disp-vcd/config_scanner.l: Reformat code.
	* src/disp-vcd/disp.c: Reformat code. Remove dead code.
	* src/disp-vcd/vcd.c: Reformat code.
	* src/disp-vcd/vcd.h: #define VCD_H.

2002-11-15  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Add checks for yacc and lex.
	Add creation of src/disp-vcd/Makefile.
	* src/Makefile.am: Add disp-vcd subdir.
	* src/disp-vcd/Makefile.am: New file.

	Thanks to Carsten Beth for contributing the following files:

	* src/disp-vcd/config_parser.y: New file.
	* src/disp-vcd/config_scanner.l: New file.
	* src/disp-vcd/disp.c: New file.
	* src/disp-vcd/vcd.c: New file.
	* src/disp-vcd/vcd.cfg: New file.
	* src/disp-vcd/vcd.h: New file.

2002-11-13  Theodore A. Roth  <troth@openavr.org>
	[Thanks to Carsten Beth <Carsten.Beth@Informatik.Uni-Oldenburg.DE> for
	the display_clock code.]

	* configure.in: Bump version.
	* doc/simulavr.texi: Add clock ticks to display protocol.
	* src/avrcore.c: Add code for displaying clock ticks.
	Fix some minor typos.
	* src/display.c: Add display_clock() function.
	* src/display.h: Add display_clock() prototype.
	* src/flash.c: Fix a comment typo.

2002-10-28  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Check for autoconf-2.13.
	Bump version.
	* config/check_autoconf213.m4: New file.

2002-10-20  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version.
	* bootstrap: Make compatible with RedHat-8.0 autotools.

2002-10-15  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c: Add real simulation of rampz register.
	* src/avrcore.h: Ditto.
	* src/decoder.c: Ditto.
	* src/register.c: Ditto.
	* src/register.h: Ditto.

2002-10-15  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c src/avrcore.h src/decoder.c * src/gdb.h
	* src/gdbserver.c src/op_names.c src/op_names.h:
	Add BREAK insn handling to decoder.
	Refactor break point mechanism to use the BREAK instruction.
	Remove some dead code.
	Remove INVALID_VALID opcode usage.
	Streamlining of opcode execution loop.
	* configure.in: Bump version.

2002-10-12  Theodore A. Roth  <troth@openavr.org>

	* src/gdb.h: Define BREAK_POINT and INVALID_OPCODE.
	Use sdword instead of dword in CommFunc*PC typedefs.
	* src/gdbserver.c: Remove BREAK_POINT and INVALID_OPCODE enum entries.
	(gdb_write_memory): Reply to gdb with error if target can't write
	flash.
	* src/op_names.h: Define BREAK_POINT and INVALID_OPCODE instead of
	enums.

2002-10-12  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am: Add man pages.
	* configure.in: Add man pages. Bump version.
	* simulavr-disp.1.in: New file (Thanks to Shaun Jackman).
	* simulavr.1.in: New file (Thanks to Shaun Jackman).
	* simulavr.spec.in: Add man pages.

2002-10-12  Theodore A. Roth  <troth@openavr.org>

	* src/main.c: Print usage to stdout instead of stderr.

2002-10-08  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c: Make core PC access methods use signed 32 bit values.
	* src/avrcore.h: Ditto.

2002-10-08  Theodore A. Roth  <troth@openavr.org>

	* config/avr_doc_pdf.m4: Use '=' instead of '==' in tests.
	* config/avr_doc_ps.m4: Ditto.
	* config/enable_curses.m4: Ditto.

2002-09-30  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c, src/eeprom.c, src/eeprom.h, src/main.c:
	Add ability to load an eeprom data image into eeprom space.

2002-09-20  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.h: Change PC values to signed (fix rjmp wrap problem).

2002-09-19  Theodore A. Roth  <troth@openavr.org>

	* doc/simulavr.texi: Document -X and -C options. Overfill fixups.
	* src/main.c: Add -C option so core dumps are only generated at users
	request.

2002-09-15  Theodore A. Roth  <troth@openavr.org>

	* src/Makefile.am src/disp/Makefile.am:
	Add -Wall and -Werror to AM_CFLAGS.

	* src/avrcore.c, src/ports.c, src/disp/disp.c:
	Quell warnings.

2002-09-15  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c, src/decoder.c, src/op_names.h:
	Handle unknown opcodes as NOP's.

2002-09-11  Theodore A. Roth  <troth@openavr.org>

	* src/gdb.h, src/gdbserver.c, src/main.c:
	Make gdbserver.c generic so it can be used by other projects.

2002-09-09  Theodore A. Roth  <troth@openavr.org>

	* Tagged for 0.1.1 release.
	* configure.in: Set version to 0.1.1.

2002-09-09  Theodore A. Roth  <troth@openavr.org>

	* doc/simulavr.texi:
	Add note about use of :1212 instead of localhost:1212.

2002-09-08  Theodore A. Roth  <troth@openavr.org>

	* src/display.c: Remove display debug output. (speeds things up)

2002-09-08  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/disp/disp.c: Stop cursor flicker on screen updates.

2002-09-06  Theodore A. Roth  <troth@openavr.org>

	* src/disp/disp.c: Indent switch statement.

2002-09-06  Theodore A. Roth  <troth@openavr.org>

	* src/disp/disp.c: Finish implementing the 'g' command.

2002-09-06  Theodore A. Roth  <troth@openavr.org>

	* src/disp/disp.c: Add floating point register display.

2002-09-05  Joerg Wunsch <j.gnu@uriah.heep.sax.de>

	* src/disp/disp.c: Speed up disp by only refreshing when idle.

2002-09-05  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c: Reorder some includes to stop errors on FreeBSD.

2002-09-05  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bump version to 0.1.1pre1.
	* simulavr.spec.in: Require avr-gdb >= 5.2.1. Disable pdf dox (temp).
	* test_c/deep_frame.c: Update to use latest avr-libc headers.
	* test_c/demo.c: Update to use latest avr-libc headers.
	* test_c/demo_kr.c: Update to use latest avr-libc headers.

2002-09-05  Theodore A. Roth  <troth@openavr.org>

	* bootstrap: Improve checks for correct autotools. (Joerg Wunsch)
	* Makefile.am, configure.in, doc/Makefile.am: Allow installation
	of docs into a directory without the version number. (Joerg Wunsch)

2002-09-05  Theodore A. Roth  <troth@openavr.org>

	* src/disp/Makefile.am: Use supplied gnu_getopt.c/gnu_getopt1.c.
	* src/disp/disp.c: Include gnu_getopt.h instead of getopt.h.

2002-09-04  Theodore A. Roth  <troth@openavr.org>

	* doc/simulavr.texi, src/avrcore.c, src/avrcore.h, src/display.c,
	* src/display.h, src/dtest.c, src/main.c, src/sram.c, src/sram.h,
	* src/storage.c, src/storage.h, src/disp/disp.c:
	Change way disp co-process is called to include sram start addr.
	New keyboard movement commands for simulavr-disp:
	  - Home key jumps to addr 0x00.
	  - End key jumps to last sram addr.
	  - Page Up key moves cursor up a screen of data.
	  - Page Down key moves cursor down a screen of data.
	  - 'g' key will allow user to jump (goto) an addr (not fully 
	    implemented, but stubbed out).

2002-09-04  Theodore A. Roth  <troth@openavr.org>

	* doc/Makefile.am: s/make -C/${MAKE} -C/ for portability.
	* doc/doxygen.config.in: Set USE_PDFLATEX to no.

2002-09-02  Theodore A. Roth  <troth@openavr.org>

	* doc/simulavr.texi: Add note about avr support in gdb-5.2.1.

2002-08-28  Theodore A. Roth  <troth@openavr.org>

	* src/ports.c: Fix bug when reading io ports.

2002-08-28  Theodore A. Roth  <troth@openavr.org>

	* src/devsupp.c, src/intvects.c, src/sram.h:
	Add mega103 support.
	
	* src/decoder.c:
	Comment out warning message in avr_op_ELPM_Z_incr().

2002-08-27  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Add AVR_DOC_PS.
	* config/avr_doc_ps.m4: New file.
	* config/check_doxygen.m4: Inherit from AVR_DOC_P{S,DF}.
	* doc/Makefile.am(all-local): ps -> $(TARGET_PS)

2002-08-09  Theodore A. Roth  <troth@openavr.org>

	* bootstrap: Check for correct versions of automake/autoconf.

2002-08-02  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Fix to stop gdb_write_register() from parsing to many characters when
	setting PC.

2002-07-31  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Fix 'P' and 'p' packets to write/read PC as 4 bytes.

2002-07-19  Theodore A. Roth  <troth@openavr.org>

	* src/intvects.c:
	Fix interrupt vector addresses for mega128.

2002-07-16  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c, src/avrcore.h, src/decoder.c, src/devsupp.c,
	  src/disp/disp.c, src/intvects.c, src/intvects.h, src/sram.h,
	  src/utils.c, src/utils.h:
	Refactored interrupt internals to improve flexibility.
	Added minimal mega128 support.

	* doc/doxygen.config.in:
	Config tweaks.

2002-07-10  Theodore A. Roth  <troth@openavr.org>

	* src/decoder.c:
	Fixed bug in elpm opcodes.

2002-06-08  Theodore A. Roth  <troth@openavr.org>

	* src/decoder.c:
	Fix fmul* opcodes. Thanks to Jeff Mock.

2002-05-27  Theodore A. Roth  <troth@openavr.org>

	* src/display.c, src/display.h, src/dtest.c, src/main.c:
	Added -X, --without-xterm command line options.

	* src/register.c:
	Fix copy and paste error. D'oh!

2002-05-26  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am:
	Add removal of CVS control dirs from distribution.

	* src/register.c:
	Fix bug in which mcucr and acsr constructors didn't init func_mask.

2002-04-29  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c:
	Fixed typo in comment.

2002-04-18  Theodore A. Roth  <troth@openavr.org>

	* README.ext_int:
	Added temp file for working out external interface design.

	* doc/simulavr.texi:
	Send bug reports to simulavr development mailing list instead of me.
	Updated gdb hints section.

2002-04-17  Theodore A. Roth  <troth@openavr.org>

	* src/device.c, src/devsupp.c, src/devsupp.h,
	  src/disp/Makefile.am, src/disp/disp.c, src/display.h,
	  src/dtest.c, src/eeprom.c, src/flash.c, src/gdb.h,
	  src/gnu_getopt.c, src/gnu_getopt.h, src/gnu_getopt1.c,
	  src/intvects.c, src/memory.c, src/op_names.c, src/ports.c,
	  src/register.c, src/sig.c, src/sig.h, src/sram.c, src/stack.c,
	  src/storage.c, src/timers.c, src/utils.c, src/vdevs.h,
	  test_asm/Makefile.am, test_asm/test_8515/Makefile.am,
	  test_c/Makefile.am, test_c/demo_kr.c, Makefile.am,
	  Makefile_AVR_Rules, acconfig.h, doc/Makefile.am,
	  src/Makefile.am, src/avrclass.c, src/avrcore.c, src/avrcore.h,
	  src/avrerror.c, src/avrmalloc.c, src/decoder.c:
	Updated copyright year.

	* doc/simulavr.texi:
	Removed unused indices.
	Updated copyright year.

2002-04-15  Theodore A. Roth  <troth@openavr.org>

	* Released 0.1.0 ("The Tax Man Commeth" release ;-).

	* configure.in:
	Bumped version to 0.1.0.

2002-04-12  Theodore A. Roth  <troth@openavr.org>

	* INSTALL, README, TODO, regress/test_opcodes/TODO:
	Minor documentation cleanups.

	* simulavr.spec.in:
	Added avr-gdb >= 5.1.90 as a install requirement.
	Added doxygen as a build requirement.

2002-04-11  Theodore A. Roth  <troth@openavr.org>

	* README.gdb, gdb-patches/README, regress/modules/gdb_rsp.py,
	  src/gdbserver.c:
	Changed size of PC as passed to and from gdb from 2 to 4 bytes to
	sync up with new gdb behaviour.

	* src/avrcore.c, src/avrcore.h:
	Changed PC from int to dword to avoid potential problems with
	truncation.

	* gdb-patches/patcher.sh, gdb-patches/get_gdb_patches.sh:
	Removed obsolete files.

2002-04-05  Theodore A. Roth  <troth@openavr.org>

	* configure.in: Bumped version to 0.1.0pre.

	* doc/simulavr.texi:
	Moved Internals chapter to doxygen.

	* src/maindoc.c:
	Moved Internals documentation from texinfo file to here.

	* src/Makefile.am:
	Added maindoc.c to EXTRA_DIST list.

	* src/main.c:
	Updated copyright year.

	* regress/modules/base_test.py, regress/test_opcodes/Makefile.am:
	* regress/test_opcodes/TODO, regress/test_opcodes/test_CPSE.py:
	* regress/test_opcodes/test_LPM.py:
	* regress/test_opcodes/test_LPM_Z.py:
	* regress/test_opcodes/test_LPM_Z_incr.py:
	* regress/test_opcodes/test_SBRC.py:
	* regress/test_opcodes/test_SBRS.py:
	Added more regression test cases.

	* src/decoder.c:
	Removed another check for undefined op which is defined.
	Fixed LPM_Z_incr where Z should not be div 2.

2002-04-04  Theodore A. Roth  <troth@openavr.org>

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO:
	* regress/test_opcodes/test_STD_Y.py:
	* regress/test_opcodes/test_STD_Z.py:
	* regress/test_opcodes/test_ST_X.py:
	* regress/test_opcodes/test_ST_X_decr.py:
	* regress/test_opcodes/test_ST_X_incr.py:
	* regress/test_opcodes/test_ST_Y_decr.py:
	* regress/test_opcodes/test_ST_Y_incr.py:
	* regress/test_opcodes/test_ST_Z_decr.py:
	* regress/test_opcodes/test_ST_Z_incr.py:
	Added more regression test cases.

	* src/decoder.c:
	Removed some invalid error checks (operations are not undefined).

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO:
	* regress/test_opcodes/test_LDD_Y.py:
	* regress/test_opcodes/test_LDD_Z.py:
	* regress/test_opcodes/test_LD_X.py:
	* regress/test_opcodes/test_LD_X_decr.py:
	* regress/test_opcodes/test_LD_X_incr.py:
	* regress/test_opcodes/test_LD_Y_decr.py:
	* regress/test_opcodes/test_LD_Y_incr.py:
	* regress/test_opcodes/test_LD_Z_decr.py:
	* regress/test_opcodes/test_LD_Z_incr.py:
	Added more regression tests.

	* src/decoder.c:
	Make X, Y and Z registers words instead of ints.

2002-04-03  Theodore A. Roth  <troth@openavr.org>

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO:
	* regress/test_opcodes/test_LDS.py:
	* regress/test_opcodes/test_STS.py:
	Added new test cases.

	* regress/modules/base_test.py:
	Added mem_byte_{read,write}() methods for accessing memory.

2002-04-02  Theodore A. Roth  <troth@openavr.org>

	* regress/modules/base_test.py, regress/test_opcodes/Makefile.am:
	* regress/test_opcodes/TODO, regress/test_opcodes/test_MUL.py
	* regress/test_opcodes/test_MULS.py:
	* regress/test_opcodes/test_MULSU.py:
	* regress/test_opcodes/test_RET.py:
	* regress/test_opcodes/test_RETI.py:
	Added more opcode tests (thanks Josef Angermeier).

	* src/decoder.c:
	Untabified file (probably shouldn't have though).
	Fixed some bugs in avr_op_{MUL,MULS,MULSU}() (thanks Josef Angermeier).
	Fixed bug in which MULSU instruction wasn't decoded correctly.

	* acconfig.h:
	Added signed versions of byte, word, dword and qword.

	* AUTHORS:
	Added Josef Angermeier to contributors.

2002-04-01  Theodore A. Roth  <troth@openavr.org>

	* src/disp/disp.c:
	Fixed bug in which io reg names were lost if window was resized.

	* src/gdbserver.c:
	Disabled attempt to catch zero pointer dereferencing since it's
	not working right.

2002-03-26  Theodore A. Roth  <troth@openavr.org>

	* src/stack.c:
	Updated comments about push/pop.
	Fixed bug in which display_io_reg() was called twice.

	* src/display.c:
	Catch interrupted write to make sure co-process can be told to quit.

2002-03-24  Theodore A. Roth  <troth@openavr.org>

	* src/avrclass.c, src/avrcore.c, src/ports.c:
	More documentation updates.

2002-03-19  Theodore A. Roth  <troth@openavr.org>

	* src/timers.c, src/utils.c, src/avrcore.c, src/devsupp.c,
	  src/flash.c, src/memory.c, src/ports.c, src/sig.c, src/stack.c:
	More conversion of comments to doxygen documentation.

	* AUTHORS: Updated.

2002-03-18  Theodore A. Roth  <troth@openavr.org>

	* misc/gpl_header_h, src/avrclass.h, src/avrcore.h,
	  src/avrerror.h, src/avrmalloc.h, src/callback.h, src/decoder.h,
	  src/devsupp.h, src/display.h, src/eeprom.h, src/flash.h,
	  src/gdb.h, src/intvects.h, src/memory.h, src/op_names.h,
	  src/ports.h, src/register.h, src/sig.h, src/sram.h, src/stack.h,
	  src/storage.h, src/timers.h, src/utils.h, src/vdevs.h:
	Changed all header protection defines to SIM_xxxx_H to avoid cpp
	clashes.

2002-02-26  Theodore A. Roth  <troth@openavr.org>

	* doc/simulavr.texi:
	Make info dir entry consistent with other avr tool entries.

	* Makefile.am, src/Makefile.am:
	Use DIST_SUBDIRS to put files is dist tarball which are
	conditionally set.

2002-02-25  Theodore A. Roth  <troth@openavr.org>

	* src/display.c, src/sig.c, src/sig.h:
	Include signal.h in *.c not *.h.

2002-02-24  Theodore A. Roth  <troth@openavr.org>

	* src/callback.c:
	New file.

	* configure.in:
	Changed init to use avrcore.h instead of avr.h.

	* acconfig.h, src/Makefile.am, src/avr.h, src/avrclass.c,
	  src/avrclass.h, src/avrcore.c, src/avrcore.h, src/avrerror.c,
	  src/callback.h, src/decoder.c, src/decoder.h, src/device.c,
	  src/devsupp.c, src/devsupp.h, src/display.c, src/dtest.c,
	  src/eeprom.c, src/eeprom.h, src/flash.c, src/flash.h,
	  src/gdbserver.c, src/intvects.c, src/intvects.h, src/main.c,
	  src/memory.c, src/memory.h, src/op_names.c, src/op_names.h,
	  src/ports.c, src/ports.h, src/register.c, src/register.h,
	  src/sig.c, src/sram.c, src/sram.h, src/stack.c, src/stack.h,
	  src/storage.c, src/storage.h, src/timers.c, src/timers.h,
	  src/utils.c, src/utils.h, src/vdevs.h:
	Header file reorganization.

	* doc/doxygen.config.in:
	Added DOXYGEN to PREDEFINED.
	Set ENUM_VALUES_PER_LINE to 1.

2002-02-23  Theodore A. Roth  <troth@openavr.org>

	* src/Makefile.am:
	Added avrerror.h and avrmalloc.h.

	* src/avr.h, src/vdevs.h:
	Moved _VDevice and methods from avr.h to vdevs.h.

	* src/avr.h, src/avrmalloc.c, src/avrmalloc.h, src/avrerror.c:
	* src/avrerror.h:
	Header file cleanup and documentation update.

	* doc/doxygen.config.in:
	Added MACRO_DOCUMENTATION for precompiler parser.

	* regress/test_opcodes/test_INC.py:
	Fixed bug in calculation of expect V flag.

	* regress/test_opcodes/test_ADC.py,
	  regress/test_opcodes/test_ADD.py,
	  regress/test_opcodes/test_ADIW.py,
	  regress/test_opcodes/test_AND.py,
	  regress/test_opcodes/test_ANDI.py,
	  regress/test_opcodes/test_CPI.py,
	  regress/test_opcodes/test_DEC.py,
	  regress/test_opcodes/test_INC.py,
	  regress/test_opcodes/test_NEG.py,
	  regress/test_opcodes/test_SBC.py,
	  regress/test_opcodes/test_SBIW.py:
	Fixed a few minor problems.
	Added more test values to make sure all sreg bits are exercised.

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO,
	  regress/test_opcodes/test_DEC.py,
	  regress/test_opcodes/test_EOR.py,
	  regress/test_opcodes/test_INC.py,
	  regress/test_opcodes/test_LDI.py,
	  regress/test_opcodes/test_LSR.py,
	  regress/test_opcodes/test_NEG.py,
	  regress/test_opcodes/test_OR.py,
	  regress/test_opcodes/test_ORI.py,
	  regress/test_opcodes/test_RJMP.py,
	  regress/test_opcodes/test_ROR.py,
	  regress/test_opcodes/test_SBC.py,
	  regress/test_opcodes/test_SBCI.py,
	  regress/test_opcodes/test_SBIW.py,
	  regress/test_opcodes/test_SUB.py,
	  regress/test_opcodes/test_SUBI.py:
	Added new test cases.

	* regress/test_opcodes/test_ASR.py:
	Made expect value calculation more explicit.

2002-02-22  Theodore A. Roth  <troth@openavr.org>

	* regress/regress.py.in:
	Change to insure that simulator is killed.

	* regress/test_opcodes/test_COM.py:
	Added missing underscore.

	* src/decoder.c:
	Fixed bug in avr_op_NEG: H flag wasn't set correctly.

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO,
	  regress/test_opcodes/test_COM.py,
	  regress/test_opcodes/test_CP.py,
	  regress/test_opcodes/test_CPC.py,
	  regress/test_opcodes/test_CPI.py:
	Added new test cases.

2002-02-21  Theodore A. Roth  <troth@openavr.org>

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO,
	  regress/test_opcodes/test_ADIW.py,
	  regress/test_opcodes/test_AND.py,
	  regress/test_opcodes/test_ANDI.py,
	  regress/test_opcodes/test_ASR.py:
	Added new test cases.

2002-02-20  Theodore A. Roth  <troth@openavr.org>

	* regress/regress.py.in:
	Changed test case message.

	* regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO,
	  regress/test_opcodes/test_ADC.py,
	  regress/test_opcodes/test_ADD.py,
	  regress/test_opcodes/test_MOV.py,
	  regress/test_opcodes/test_MOVW.py:
	Added new test cases.

	* regress/modules/base_test.py, regress/test_opcodes/Makefile.am,
	  regress/test_opcodes/test_BCLR.py, regress/test_opcodes/test_BLD.py,
	  regress/test_opcodes/test_BRBC.py, regress/test_opcodes/test_BRBS.py,
	  regress/test_opcodes/test_BSET.py, regress/test_opcodes/test_BST.py,
	  regress/test_opcodes/test_NOP.py, regress/test_opcodes/test_SWAP.py:
	Simplified test cases by moving target access and repeated checks
	into base_test.py.

	* regress/test_opcodes/TODO:
	Fix cvs Id tag.

2002-02-19  Theodore A. Roth  <troth@openavr.org>

	* TODO, INSTALL:
	Updated regression test suite information.

	* regress/Makefile.am:
	Tee regression output to a file.

  	* regress/regress.py.in:
	Added code to automate spawning an instance of the simulator.

	* regress/regress.py.in:
	Reverted threading. With latest change to gdbserver.c, it's faster to
	run regression tests from a single thread.

	* src/gdbserver.c:
	Fix a problem in which latest cvs gdb would timeout in mid-packet.
	As a side effect, gdb-to-simulavr communication is faster.

2002-02-16  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Fixed incorrect removal of addr offset bits.
	Stubbed out read/write of eeprom space from gdb (`x/b 0x81xxxx`).

2002-02-15  Theodore A. Roth  <troth@openavr.org>

	* doc/doxygen.config.in:
	Turn on html tree view.

2002-02-13  Theodore A. Roth  <troth@openavr.org>

	* src/Makefile.am, src/gdb.c:
	Removed src/gdb.c. Old and in the way.

	* src/gdbserver.c:
	Renamed gdb_extract_reg_num() to gdb_extract_hex_num() and made it 
	more general. Code cleanups. Made output for -G more consistent.

	* src/gdbserver.c:
	Tell TCP not to delay small packets, this speeds up response.

	* src/main.c:
	Issue a warning if user selects unimplemented file format.

	* src/utils.c:
	Fix so '-F bin' option works.

2002-02-12  Theodore A. Roth  <troth@openavr.org>

	* Released 0.0.14

	* INSTALL, README, README.gdb, doc/simulavr.texi,
	  gdb-patches/README, regress/README:
	Documentation updates.

	* configure.in:
	Set version to 0.0.14.

	* regress/regress.py.in:
	Fixed a typo.

	* regress/regress.py.in:
	Added threading to speed up running test cases.
	Added command line option parser.

	* regress/modules/gdb_rsp.py:

	Fix to only ever recv 1 byte at a time. Threading was causing
	recv(2) to only return a single byte.
	Added arguments when raising exceptions.

	* src/gdbserver.c:
	Added missing cksum output if debug is on.

2002-02-11  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am, simulavr.spec.in:
	Fix to keep regress in SUBDIRS if python not found.
	Sync up what is installed in docdir.

2002-02-10  Theodore A. Roth  <troth@openavr.org>

	* Makefile.am:
	Fix to get spec file into dist file.

	* simulavr.spec.in:
	Moved documentation into simulavr-docs subpackage.

	* config/check_doxygen.m4:
	Removed unused AC_SUBST().

	* Makefile.am, configure.in, doc/Makefile.am:
	Remove --with-docdir configure option, install docs relative to
	datadir instead.

	* doc/Makefile.am:
	Added EXTRA_DIST files.

	* TODO, config/check_doxygen.m4, configure.in, doc/Makefile.am:
	Integration of doxygen into build system.

	* doc/doxygen.config.in:
	Added custom html files.
	Changed directory structure.
	Added LaTeX output to get ps/pdf files.

	* doc/dox.css, doc/dox_html_footer, doc/dox_html_header:
	Added customized html files.

	* src/display.c:
	Fixed doxygen comment.

	* doc/texinfo.tex:
	Added to avoid using broken texinfo.tex files for pdf generation.

2002-02-08  Theodore A. Roth  <troth@openavr.org>

	* src/avrcore.c, src/device.c, src/flash.c, src/memory.c,
	  src/ports.c, src/register.c, src/stack.c, src/utils.c:
	Removed inline modifiers. Better to let the compiler do it.

	* src/gdb.h, src/gdbserver.c, src/main.c:
	Added command line option to turn gdb debug messages on (off by
	default).

	* simulavr.spec.in:
	Added optimization flags.

	* INSTALL:
	Added notes on optimizing and regression tests.

	* Makefile.am, configure.in, simulavr.spec.in:
	Added rpm spec file.

	* doc/simulavr.texi:
	Added dir.info fragment. Updated description.

	* src/disp/Makefile.am:
	Changed disp program name to simulavr-disp.

	* ProjSummary:
	Changed URL.

2002-02-05  Theodore A. Roth  <troth@openavr.org>

	* config/avr_doc_pdf.m4:
	Corrected grammar.

	* regress/test_opcodes/TODO, regress/test_opcodes/test_BST.py,
	  regress/test_opcodes/Makefile.am:
	Added test case for BST.

	* regress/test_opcodes/TODO, regress/test_opcodes/test_BLD.py,
	  regress/test_opcodes/Makefile.am:
	Added test case for BLD.

	* regress/modules/registers.py:
	Added SREG class for naming sreg bits.

	* src/decoder.c:
	Fixed bug in avr_op_BLD.

	* Makefile.am, config/check_python.m4, configure.in,
	  misc/gpl_header_py, regress/Makefile.am, regress/README,
	  regress/modules/Makefile.am, regress/modules/avr_target.py,
	  regress/modules/base_test.py, regress/modules/gdb_rsp.py,
	  regress/modules/registers.py, regress/regress.py.in,
	  regress/test_opcodes/Makefile.am, regress/test_opcodes/TODO,
	  regress/test_opcodes/test_BCLR.py,
	  regress/test_opcodes/test_BRBC.py,
	  regress/test_opcodes/test_BRBS.py,
	  regress/test_opcodes/test_BSET.py,
	  regress/test_opcodes/test_NOP.py,
	  regress/test_opcodes/test_SWAP.py:
	Added regression test framework.

2002-02-02  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Send 'E' reply when gdb tries to read/write memory in reg range.

2002-01-31  Theodore A. Roth  <troth@openavr.org>

	* src/avr.h, src/avrcore.c, src/decoder.c:
	Speed optimization for decoder by using a lookup table.

	* src/gdbserver.c:
	Perform a reset when gdb sends the kill command.

	* src/decoder.c:
	Fixed some comments.

2002-01-29  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Fixed read/write of PC reg with 'P' and 'p' packets.

2002-01-26  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Added support for 'P' and 'p' packets.

	* src/avrclass.c:
	Converted comments to doxygen format.

2002-01-25  Theodore A. Roth  <troth@openavr.org>

	* src/Makefile.am, src/gnu_getopt.c, src/gnu_getopt.h,
	  src/gnu_getopt1.c, src/main.c:
	Added gnu getopt files to improve portability of getopt_long.

2002-01-24  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c:
	Fix to allow interruption of stepping on infinite loop.

2002-01-09  Theodore A. Roth  <troth@openavr.org>

	* Released 0.0.13

	* configure.in:
	Updated copyright date and set version to 0.0.13.

	* config/check_texinfo.m4:
	Added more program checks.

2002-01-08  Theodore A. Roth  <troth@openavr.org>

	* ChangeLog: Updated.

	* doc/doxygen.config.in:
	Set BRIEF_MEMBER_DESC to NO.

	* src/display.c, src/gdbserver.c:
	Updated comments for doxygen.

	* Makefile.am, config/check_texinfo.m4, configure.in:
	Added check for texinfo: if not found, do not build doc dir.

	* doc/doxygen.config.in:
	Updated configuration.

	* src/utils.c:
	Updated comments for doxygen.

	* config/enable_curses.m4:
	Added check for resizeterm function.
	Only check for libs if enabled.

	* src/utils.c:
	Changed get_program_time() to make it more portable.

	* configure.in:
	Bumped version to 13-pre4.

	* misc/gpl_header, misc/gpl_header_c, misc/gpl_header_h:
	Updated copyright date.

	* TODO, src/gdbserver.c:
	Implemented writing to sram.

2002-01-07  Theodore A. Roth  <troth@openavr.org>

	* TODO: Removed disp term resizing.

	* src/decoder.c:
	Fixed bug setting carry flag in LSR handler

	* src/disp/disp.c, src/display.c:
	Implemented terminal resizing of display.
	Removed forking of xterm in psuedo term mode.

2002-01-06  Theodore A. Roth  <troth@openavr.org>

	* ChangeLog, TODO:
	Updated.

	* src/display.c, src/gdbserver.c: Fixed problem with display zombies.

	* src/register.c: Set all general purpose registers to zero on reset.

	* test_asm/test_8515/Makefile.am:
	Fix problem with 'make dist' from directory other than source.
	Run elf files through linker to allow source stepping in gdb.

	* Makefile.am:
	Fix problem with 'make dist' from directory other than source.

	* config/avr_doc_dirsuffix.m4: Added version to doc install dir.

	* config/avr_binutils.m4: Added check for avr-ld.

	* configure.in: Bumped version to 13-pre3.

	* src/gdbserver.c, doc/simulavr.texi:
	Added support for 'C' and 'S' packets (cont/step with signal).
	Issuing a 'signal SIGHUP' command from gdb will cause sim to reset.
	Documented SIGHUP behaviour.

	* TODO: Updated, added road map.

	* Makefile_AVR_Rules: Added --gstabs when assembling.

2002-01-05  Theodore A. Roth  <troth@openavr.org>

	* test_asm/test_8515/test_blink.asm:
	Fix to allow avr-ld to create a relocated object.

2002-01-04  Theodore A. Roth  <troth@openavr.org>

	* doc/Makefile.am, config/acconfig.h, config/avr_doc_dirsuffix.m4,
	  config/avr_doc_pdf.m4, Makefile.am, acconfig.h, bootstrap,
	  configure.in:
	Applied Reinhard Jessich's patch for installing docs.
	Fixed problem with config.h not getting updated which would break
	compiling.

2002-01-03  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c: Added documentation comments for doxygen.
	Added infinite loop around tcp server.

	* src/gdbserver.c: Removed redundant if clause.

	* src/Makefile.am, src/avr.h, src/avrcore.c, src/gdbserver.c,
	  src/sig.c, src/sig.h:
	Encapsulated signal handling into sig.c.

2002-01-02  Theodore A. Roth  <troth@openavr.org>

	* src/gdbserver.c: Correctly handle gdb sending C-c interrupt.

	* src/gdbserver.c:
	Modified to allow gdb to send an interrupt while sim is in
	continue loop.

	* src/gdbserver.c:
	Applied Tor Ringstad's patch to improve SIGINT handling.

